# Class PRS_ExpressionElement
extends PRS_ExchangeElement

PRS_ExpressionElement is an abstract base class for PRS_Products and PRS_Statements. It provides a common association point for objects associated with PRS_Expressions.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_ExpressionElement

## Direct Known Subclasses

PRS_Expression
PRS_Product
PRS_Statement

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Description | string | PRS_ExpressionElement is an abstract base class for PRS_Products and PRS_Statements. It provides a common association point for objects associated with PRS_Expressions.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods